DEVS-Fire API

getCellState

Returns the current state of a given cell (e.g. "Burning", "Burned", "Unburned").

POST
/getCellState

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/getCellState/"params: dict[str, int | str] = {    "userToken": "abc123xyz",    "x": 80,    "y": 80,}response = requests.post(base_url, params=params)print(response.text)
"unburned"
{
  "timestamp": "2026-05-20T16:41:14.306+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/getCellState"
}

Response Body

text/plain

application/json